/**
 * Created by IntelliJ IDEA.
 * User: o_220
 * Date: 07.10.2009
 * Time: 17:40:26
 * To change this template use File | Settings | File Templates.
 */ import java.util.*;
    import java.io.*;
public class B {
     public static void main(String[] args) throws Exception{
       // Scanner s= new Scanner (new File("array.in"));
          StreamTokenizer s= new StreamTokenizer(new BufferedReader(new FileReader(new File("array.in"))));
        PrintWriter p= new PrintWriter (new File("array.out"));
         s.nextToken();
         int n= (int) s.nval;
         int [] a= new int [n];
         for (int i=0; i<n; i++){
             s.nextToken();
             a[i]= (int) s.nval;

         }


         if ((n-(n/2)*2)==0) {
              for (int i=0; i<n/2; i++) {
                  p.print(a[i]+" "+a[n-1-i]+" ");
              }
         }else {
                  for (int i=0; i<n/2; i++) {
                  p.print(a[i]+" "+a[n-1-i]+" ");
              }
                 p.print(a[n/2]);
         }
           p.close();
         }



    }

